/*list screen*/

.s-file-list {

    // style input search list file
    .m-portlet__body-head {
        .m-portlet__body-head-top {
            width: 100%;

            .m-portlet__body-head-top-left {
                align-items: center;
            }

            .m-portlet__body-head-top-left,
            .m-portlet__body-head-top-right {
                width: 50%;
                float: left;
                display: flex;
            }

            .m-portlet__body-head-top-right {
                justify-content: flex-end;

                .search {
                    input {
                        width: 200px;
                    }

                    span {
                        pointer-events: none;
                    }
                }

                .m-btn {
                    &:focus {
                        background-color: transparent;
                    }
                }
            }
        }
    }

    .dataTables_wrapper {
        table {
            tr {
                td {
                    img {
                        width: 100px;
                        //height: 100px;
                        max-width: 100%;
                        height: auto;
                    }

                    &.unit {
                        span {
                            margin: 0 auto;
                            display: table;
                        }
                    }

                    &.retail_price,
                    &.wholesale_price,
                    &.promotion_price,
                    &.stock {
                        span {
                            float: right;
                        }
                    }
                }
            }
        }
    }

    /*add new screen*/
    .add-new-file {
        form {
            h3.m-form__heading-title {
                margin-top: 15px;
            }

            .m-radio-inline {
                display: inline-block;
                width: 100%;
                height: 30px;
            }

            li.list-inline-item {
                margin: 0.5rem 0.3rem 0 0 !important;

                .m-badge.m-badge--wide {
                    padding: 3px 10px !important;

                    .close {
                        margin-left: 5px;
                        font-size: 15px;
                        margin-top: 3px;
                    }
                }
            }

            .file-files-upload {
                margin-bottom: 10px;
            }

            .preview-file {
                display: block;
                margin-bottom: 5px;
            }

            .add-media-image {
                list-style: none;
                padding: 0;

                li.image-item {
                    height: auto;
                    width: 84px;
                    display: inline-block;
                    position: relative;
                    margin-right: 1%;

                    img {
                        width: 100%;
                        display: block;
                        background: #f7f7f7;
                    }

                    .close {
                        font-size: 1.5rem;
                        text-shadow: none;
                        background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.7);
                        padding: 2px 5px;
                        position: absolute;
                        color: #FFF;
                        right: 0px;
                        top: 0px;
                        cursor: pointer;
                        opacity: 0.75;
                    }

                    &.thumbnail {
                        width: 120px !important;
                    }
                }
            }

            .add-media-attachment {
                list-style: none;
                padding: 0;

                li.attachment-item {
                    position: relative;

                    span.preview-file {
                        color: #00a4bd;
                        margin-bottom: 3px;
                        display: inline-block;
                    }

                    .close {
                        float: none;
                        position: absolute;
                        margin: 1px 0 0 5px;
                    }
                }
            }

            .has-danger {
                .m--font-danger {
                    margin-bottom: 10px;
                }
            }
        }
    }

    .s--table{
        .id {
            width: 40px;
            text-align: left;

            .m-radio > input, .m-checkbox {
                padding-left: 0;
                input {
                    width: 18px;
                    height: 18px;
                }
            }
        }

        .action{
            width: 70px;
        }

        .image{
            max-width: 100px;
        }

        tr td, tr th {
            max-width: 120px;
        }
    }
}

/*detail screen*/

.single-file-page {
    .file-tab-view {
        display: inline-block;
        width: 100%;
        margin-top: 20px;

        .form-group {
            margin-bottom: 1.5rem !important;
        }

        .file-tab-view-left {
            width: calc((100% - 20px) / 2);
            float: left;
            margin-right: 20px;

            &.description {
                width: 63% !important;
            }

            .editor-description-content {
                height: 322px;
                overflow: auto;

                img {
                    max-width: 100%;
                }
            }
        }

        .file-tab-view-right {
            width: calc((100% - 20px) / 2);
            float: right;

            .label-image-description {
                padding-left: 10px;
            }

            .thumbnail-image {
                margin-bottom: 2.5rem;

                img {
                    height: 133px;
                    width: auto;
                }
            }

            .list-file-attachment {
                display: block;
                list-style: none;
                padding-left: 0;

                .file-item {
                    display: flex;
                    margin-bottom: 5px;

                    .fa {
                        padding-left: 10px;
                    }
                }
            }

            .list-image-description {
                display: contents;
                list-style: none;

                .image-item {
                    height: 110px;
                    width: 110px;
                    padding: 0 0 10px 10px;

                    img {
                        width: 100%;
                    }
                }
            }

            &.description {
                width: 34% !important;
            }
        }

        .list-inline-item {
            padding: 0 7px 7px 0;
        }
    }

    .m-portlet__body {
        .m-widget7__img {
            border-radius: 50%;
        }

        .s--modal-file-edit-modal {
            .modal-content {
                .modal-body {
                    .m-form__group {
                        ul.list-unstyled {
                            margin-top: 15px !important;

                            li.list-inline-item {
                                margin-bottom: 7px;

                                .close {
                                    font-size: 1.3rem;
                                    padding: 1.2px 0 0 3px;
                                }
                            }
                        }

                        ul.list-image-description {
                            list-style: none;
                            padding: 0;

                            li.image-item {
                                height: auto;
                                width: 84px;
                                display: inline-block;
                                position: relative;
                                margin-right: 1%;

                                img {
                                    width: 100%;
                                    display: block;
                                    background: #f7f7f7;
                                }

                                .close {
                                    font-size: 1.5rem;
                                    text-shadow: none;
                                    background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.7);
                                    padding: 2px 5px;
                                    position: absolute;
                                    color: #FFF;
                                    right: 0px;
                                    top: 0px;
                                    cursor: pointer;
                                    opacity: 0.75;
                                }
                            }
                        }
                    }

                    .upload-btn-wrapper {
                        position: relative;
                        overflow: hidden;
                        display: block;
                        margin-top: 8px;
                    }

                    .upload-btn-wrapper input[type=file] {
                        font-size: 23px;
                        position: absolute;
                        left: 0;
                        top: 0;
                        opacity: 0;
                    }
                }
            }
        }

        .tab-content {
            .head-panel {
                overflow: hidden;

                .m-widget5__title {
                    float: left;
                }

                .box-search-notes {
                    width: 50%;
                    float: right;
                }
            }
        }

        .popup-history-manage {
            max-height: 500px;
            overflow: auto;

            table {
                td {
                    vertical-align: top;

                    &.old-value,
                    &.new-value {
                        max-width: 300px;
                        max-height: 250px;
                        overflow: auto;
                    }
                }
            }
        }
    }

    .ql-editor {
        font-size: 13px !important;
    }
}

.s-file-list {

    /*trash screen*/
    &.trash-screen {
        //.dataTables_wrapper {
        //    table {
        //        td {
        //            &.category {
        //                width: 180px;
        //            }
        //
        //            &.retail_price,
        //            &.wholesale_price,
        //            &.promotion_price {
        //                width: 150px;
        //            }
        //        }
        //    }
        //}
    }

    /*popup edit*/
    .popup-edit {
        .modal-body {
            .modal-footer {
                padding: 0;
                margin-top: 15px;
                border: none
            }
        }
    }
}

.has-danger {
    .form-control {
        border-color: #f4516c;
    }

    .v-select {
        .dropdown-toggle {
            border-color: #f4516c !important;
        }
    }
}

.quillWrapper {
    .ql-toolbar {
        .ql-formats {
            margin-bottom: 5px;

            button {
                width: 22px;

                svg {
                    width: 17px !important;
                    height: 17px !important;
                }
            }
        }
    }

    .ql-container {
        .ql-editor {
            font-size: 13px !important;
        }

    }
}

.m-form__group-sub {
    #previewFile {
        max-width: 300px;
        margin-bottom: 15px;

        img {
            max-width: 300px;
        }
    }
}

#details__images--box {
    max-width: 200px;
    position: relative;

    img {
        width: 100%;
        object-fit: cover;
    }

    .preview__download--link {
        .details__background--preview-hover {
            position: absolute;
            display: none;
            top: 0px;
            left: 0px;
            width: 100%;
            height: 100%;
            z-index: 900;
            //background: rgba(245, 210, 210, 0.6);
            background-color: rgba(0, 0, 0, 0.3);
            i {
                position: absolute;
                left: 50%;
                top: 50%;
                transform: translate(-50%, -50%);
                font-size: 35px;
                //color: #333;
                color: #fff;
            }
        }

        &:hover {
            .details__background--preview-hover {
                display: block;
            }
        }
    }
}

.thumbnails {
    width: 100%;
    float: left;

    .thumbnail-rows {
        margin-left: 0px;
        margin-right: 0px;

        .thumbnail-content {
            width: 100%;
            float: left;
            padding: 0px 0px 15px 0px;

            .thumbnail-img-default {
                width: 100%;
                float: left;
                object-fit: cover;
            }

            .thumbnail-img-title {
                width: 100%;
                margin: 0px;
                text-align: center;
                padding-top: 8px;
                font-size: 15px;
            }

            &.thumb-col-2 {
                width: calc(100% / 6);
                float: left;
            }

            &.thumb-col-3 {
                width: calc(100% / 4);
                float: left;
            }

            &.thumb-col-4 {
                width: calc(100% / 3);
                float: left;
            }

            &.thumb-col-6 {
                width: calc(100% / 2);
                float: left;
            }

            &.thumb-col-12 {
                width: 100%;
                float: left;
            }
        }
    }
}

.dataTables_wrapper {
    .image {
        .files__icon--preview-images {
            display: block;
            float: left;
            position: relative;

            .m-link {
                .files__background--preview-hover {
                    position: absolute;
                    display: none;
                    top: 0px;
                    left: 0px;
                    width: 100%;
                    height: 100%;
                    z-index: 900;
                    //background: rgba(245, 210, 210, 0.6);
                    background-color: rgba(0, 0, 0, 0.3);
                    i {
                        position: absolute;
                        left: 50%;
                        top: 50%;
                        transform: translate(-50%, -50%);
                        font-size: 35px;
                        //color: #333;
                        color: #fff;
                    }
                }

                &:hover {
                    .files__background--preview-hover {
                        display: block;
                    }
                }
            }
        }
    }
}

.details__tab--place-attached {
    .dataTables_wrapper {
        .action {
            max-width: 70px;
        }
    }
}

.upload-file {
    .btn-custom-secondary {
        background-color: #ebedf2;
        color: #008397;

        label {
            cursor: pointer;
        }
    }
}

.details__box--info {
    .details__box--info-content {
        width: 100%;
        margin-bottom: 20px;
    }
}

.s--file-attach-item{

    .s--file-attach-remove-item{
        opacity: 0;
        position: absolute;
        top: 1.25rem;
        right: 0;
        cursor: pointer;
        background-color: #eaeaea;
        width: 20px;
        height: 20px;
        text-align: center;
        line-height: 20px;
        color: #575962;
        i{
            position: relative;
            top: 1px;
            font-size: 14px;
        }
    }

    &:hover{
        .s--file-attach-remove-item{
            opacity: 1;
        }
    }
}

.nt-file-preview{
    .nt-file-preview-item{
        display: flex;
        align-items: center;
        padding: 10px 0;
        border-bottom: 1px solid #EBEDF2;
        &:last-of-type{
            //border-bottom: none;
        }
        .nt-file-preview-item-image, .nt-file-preview-item-name, .nt-file-preview-item-download, .nt-file-preview-item-remove{
            float: left;
        }
        .nt-file-preview-item-image{
            width: 30px;
            img{
                max-width: 100%;
                max-height: 100%;
                width: auto;
                height: auto;
            }
        }
        .nt-file-preview-item-name{
            width: calc(100% - 80px);
            padding: 0 10px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
            color: #444F78;
        }
        .nt-file-preview-item-download, .nt-file-preview-item-remove{
            width: 25px;
            text-align: right;
            color: #444F78;
        }
    }

}
